%define anolis_release 1
%global pypi_name piexif
%global pypi_version 1.1.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        To simplify exif manipulations with python. Writing, reading, and more

License:        MIT
URL:            https://github.com/hMatoba/Piexif
Source0:        %{pypi_source %{pypi_name} %{version} zip}

# Unmerged PR from https://github.com/hMatoba/Piexif/pull/109
Patch0:         1000-python-piexif-fix-tests-pillow.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pillow)
Requires:       python3dist(pillow)

%description
To simplify exif manipulations with Python. Writing, reading, and more...
Piexif is pure Python. To everywhere with Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
To simplify exif manipulations with Python. Writing, reading, and more...
Piexif is pure Python. To everywhere with Python.


%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Wed Apr 17 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 1.1.3-1
- Initial package.
